Home

PacketAcknowledgements returns all the packet acknowledgements associated with a channel.

GET
https://lunc.nownodes.io/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_acknowledgements

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

channel unique identifier

port_idstringrequiredpath

port unique identifier

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

packet_commitment_sequencesArray<string>query

list of packet sequences.

Response

200OK

A successful response.

default

An unexpected error response.